#!/usr/bin/perl

#
# Set defaults
#

$i = 0;

#
# Get parameters
#

if($#ARGV < 1) {
  printf "Usage: w2u_patch.pl <windows-style patch file>\n";
  exit(1);
};

$filein = $ARGV[0];

open (LOGFILE, $filein);
MAIN_LOOP: while ($data = <LOGFILE>)
{
  $str = $data;
  chomp ($str);
  ($prefix,$tail) = split (" ", $str);

  if(!("$prefix" eq "\*\*\*") && !("$prefix" eq "\-\-\-") && !("$prefix" eq "diff")) {
    printf "$data";
    next MAIN_LOOP;
  };

  $unx = to_unix_slash($data);
  printf "$unx";
}
close (LOGFILE);
exit(0);


sub to_unix_slash
{
  $res = "";
  $i = 1;

  if(length($_[0]) < 1) {
    return "";
  }

  foreach $byte (split //, $_[0])
  {
    if ("$byte" eq "\\")
    {
      $byte = "\/";
    }
    $res = $res . $byte;
  };
  return $res;
};

